Barack Obama's mother was religious.
Next I came to my Christian faith later in life , and it was because the precepts of Jesus Christ spoke to me in terms of the kind of life that I would want to lead -- being my brothers ' and sisters ' keeper , treating others as they would treat me . ''